play.data.binding

## Class BeanWrapper

- java.lang.Object
- - play.data.binding.BeanWrapper

    public class BeanWrapper
    extends java.lang.Object

Parameters map to POJO binder.

### Nested Class Summary

Nested Classes
`static class` `BeanWrapper.Property`

### Constructor Summary

Constructors
Constructor and Description
`BeanWrapper(java.lang.Class<?> forClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `bind(java.lang.String name, java.lang.reflect.Type type, java.util.Map<java.lang.String,java.lang.String[]> params, java.lang.String prefix, java.lang.annotation.Annotation[] annotations)`
`java.lang.Object` `bind(java.lang.String name, java.lang.reflect.Type type, java.util.Map<java.lang.String,java.lang.String[]> params, java.lang.String prefix, java.lang.Object instance, java.lang.annotation.Annotation[] annotations)`
`java.util.Collection<BeanWrapper.Property>` `getWrappers()`
`protected java.lang.Object` `newBeanInstance()`
`void` `set(java.lang.String name, java.lang.Object instance, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanWrapper

    public BeanWrapper(java.lang.Class<?> forClass)

### Method Detail

#### getWrappers

    public java.util.Collection<BeanWrapper.Property> getWrappers()

#### set

    public void set(java.lang.String name,
                    java.lang.Object instance,
                    java.lang.Object value)

#### newBeanInstance

    protected java.lang.Object newBeanInstance()
                                        throws java.lang.InstantiationException,
                                               java.lang.IllegalAccessException,
                                               java.lang.NoSuchMethodException,
                                               java.lang.reflect.InvocationTargetException

Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.NoSuchMethodException`
  `java.lang.reflect.InvocationTargetException`

#### bind

    public java.lang.Object bind(java.lang.String name,
                                 java.lang.reflect.Type type,
                                 java.util.Map<java.lang.String,java.lang.String[]> params,
                                 java.lang.String prefix,
                                 java.lang.annotation.Annotation[] annotations)
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### bind

    public java.lang.Object bind(java.lang.String name,
                                 java.lang.reflect.Type type,
                                 java.util.Map<java.lang.String,java.lang.String[]> params,
                                 java.lang.String prefix,
                                 java.lang.Object instance,
                                 java.lang.annotation.Annotation[] annotations)
                          throws java.lang.Exception

Throws:
  `java.lang.Exception`